AOMedia AV1 Codec: FrameProbInfo Struct Reference

| AOMedia AV1 Codec

FrameProbInfo Struct Reference

Encoder-side probabilities for pruning of various AV1 tools. More...

`#include <encoder.h>`

## Data Fields
int | obmc_probs [FRAME_UPDATE_TYPES][BLOCK_SIZES_ALL]
int | warped_probs [FRAME_UPDATE_TYPES]
int | tx_type_probs [FRAME_UPDATE_TYPES][TX_SIZES_ALL][TX_TYPES]
int | switchable_interp_probs [FRAME_UPDATE_TYPES][((SWITCHABLE_FILTERS+1) *4)][SWITCHABLE_FILTERS]

## Detailed Description

Encoder-side probabilities for pruning of various AV1 tools.

## Field Documentation

## ◆ obmc_probs

int FrameProbInfo::obmc_probs[FRAME_UPDATE_TYPES][BLOCK_SIZES_ALL]

obmc_probs[i][j] is the probability of OBMC being the best motion mode for jth block size and ith frame update type, averaged over past frames. If obmc_probs[i][j] < thresh, then OBMC search is pruned.

Referenced by av1_twopass_postencode_update(), encode_frame_internal(), and motion_mode_rd().

## ◆ warped_probs

int FrameProbInfo::warped_probs[FRAME_UPDATE_TYPES]

warped_probs[i] is the probability of warped motion being the best motion mode for ith frame update type, averaged over past frames. If warped_probs[i] < thresh, then warped motion search is pruned.

Referenced by av1_twopass_postencode_update(), and encode_frame_internal().

## ◆ tx_type_probs

int FrameProbInfo::tx_type_probs[FRAME_UPDATE_TYPES][TX_SIZES_ALL][TX_TYPES]

tx_type_probs[i][j][k] is the probability of kth tx_type being the best for jth transform size and ith frame update type, averaged over past frames. If tx_type_probs[i][j][k] < thresh, then transform search for that type is pruned.

Referenced by av1_twopass_postencode_update(), and encode_frame_internal().

## ◆ switchable_interp_probs

int FrameProbInfo::switchable_interp_probs[FRAME_UPDATE_TYPES][((SWITCHABLE_FILTERS+1) *4)][SWITCHABLE_FILTERS]

switchable_interp_probs[i][j][k] is the probability of kth interpolation filter being the best for jth filter context and ith frame update type, averaged over past frames. If switchable_interp_probs[i][j][k] < thresh, then interpolation filter search is pruned for that case.

Referenced by av1_twopass_postencode_update(), and encode_frame_internal().

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h